Subject: Re: I/O timeout in nncp-daemon

From: John Goerzen <[email-masked]>
Date: Wed, 27 Jan 2021 16:48:52 -0600

On Sat, Jan 23 2021, Sergey Matveev wrote:

> Greetings!
>
> *** John Goerzen [2021-01-21 17:55]:
>>This timeout is much lower than any of the deadlines set in the 
>>configuration
>>file, and appears to be a few seconds.
>
> 10 seconds. These are various:
>     conn.Set*Deadline(time.Now().Add(DefaultDeadline))
> lines.
>
>>Would it be possible to make this configurable, or larger?
>
> Well... when I wrote that, I assumed that remote system anyway 
> has to
> give an answer (from TCP point of view) during 10 seconds.

I have a number of situations where that assumption wouldn't be 
true -- high-latency low-bandwidth links would be one, especially 
if bufferbloat is involved.

> * when encrypted packet is fully retrieved (its length equals to 
> INFO's
>   length known in advance), then background checksum checker is 
>   started.
>   If checksum is good, then it renames "PKT-HASH.part" to 
>   "PKT-HASH"

Could it be doing the checksum inline while it's writing it to 
disk in the first place?

- John